Bug 233755 - [NEW PORT] games/dxx-rebirth: Open source port of Descent and Descent 2
Summary: [NEW PORT] games/dxx-rebirth: Open source port of Descent and Descent 2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: feature, needs-qa
Depends on:
Blocks:
 
Reported: 2018-12-03 19:11 UTC by Piotr Kubaj
Modified: 2018-12-25 08:28 UTC (History)
3 users (show)

See Also:
koobs: maintainer-feedback? (pkubaj)


Attachments
shar (5.46 KB, text/plain)
2018-12-03 19:11 UTC, Piotr Kubaj
no flags Details
patch (8.04 KB, patch)
2018-12-04 13:38 UTC, Piotr Kubaj
no flags Details | Diff
patch (8.01 KB, patch)
2018-12-05 15:59 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2018-12-03 19:11:33 UTC
Created attachment 199801 [details]
shar

This is open source port of Descent and Descent 2 games.

You need original game data from e.g. GOG.

pkg-message taken from OpenBSD.
Comment 1 Nathan 2018-12-03 23:02:46 UTC
Comment on attachment 199801 [details]
shar

For future reference, using svn diff or atleast diff is easier for committers
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-04 05:33:35 UTC
This should probably use DISTVERSION (and/or DISTVERSIONSUFFIX if necessary) to reflect the "BETA2" (-beta2-git) nature of the upstream code versioning, as the future 0.60.0 release proper will use this PORTVERSION
Comment 3 Tobias Kortkamp freebsd_committer 2018-12-04 05:58:26 UTC
Comment on attachment 199801 [details]
shar

> For future reference, using svn diff or atleast diff is easier
> for committers

Meh.

sed 's/^X//' >games/dxx-rebirth/pkg-descr << '524fe70c0148e9d31768e7e4fa8bc0ee'
XAn open source re-implementation of Caesar III 
X
XWWW: https://github.com/bvschaik/julius

Are you sure about pkg-descr? :p

XDISTNAME=	${PORTNAME}-${PORTVERSION}-beta2-git
XWRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}-beta2

If you set DISTVERSION=0.60.0-beta2 as koobs suggested in addition to
EXTRACT_SUFX=-git.tar.gz you can drop these.

XUSES=		localbase:ldflags pkgconfig scons
XUSE_GL=		gl glu

This needs a USES=gl

XMAKE_ARGS+=	ignore_unknown_variables=1

Why += ?

XSUB_FILES=	pkg-message

I do not see any %%..%% in files/pkg-message.in so why not drop this and
move it to just pkg-message?

Xpost-install:
X		${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/d1x-rebirth \
X			${STAGEDIR}${PREFIX}/bin/d2x-rebirth

Please fix the indentation here.  First-level indentation in targets starts with
one tab only, not two.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-04 08:12:42 UTC
May also want to refer to the innoextract package by port origin name: archivers/innoextract (or so its more obvious the user can grab it directly from us over hunting for it. 

Alternatively, add pkg install and extract commands to the instructions
Comment 5 Piotr Kubaj 2018-12-04 13:35:32 UTC
(In reply to Tobias Kortkamp from comment #3)
I tried setting DISTVERSION, but then I still need DISTVERSIONSUFFIX=-git (because of tarball's name) and WRKSRC=${WRKDIR}/${PORTNAME}-${DISTVERSION} (because ports framework looks for ${WRKDIR}/${PORTNAME}-${DISTVERSION}-git directory.

MAKE_ARGS+= is needed because of:
scons: *** Unknown values specified on command line.
        CC
        PKGCONFIGDIR
        destdir
        LIBPATH
        PREFIX
        CCFLAGS
        CPPPATH
Remove unknown values or set ignore_unknown_variables=1 to continue.  Stop.

Rest of notes will be addressed shortly :)
Comment 6 Piotr Kubaj 2018-12-04 13:38:37 UTC
Created attachment 199813 [details]
patch

Is that ok?
Comment 7 Tobias Kortkamp freebsd_committer 2018-12-04 13:57:20 UTC
(In reply to Piotr Kubaj from comment #5)
- Do not set DISTVERSIONSUFFIX, set EXTRACT_SUFX=-git.tar.gz and
  the problem you have with that goes away.

- The pkg-message needs to be in the port directory directly not
  in files/ or it will not be picked up.

- MAKE_ARGS has not been previously set, so you do not need to
  append to it, so replace MAKE_ARGS+= with MAKE_ARGS=
Comment 8 Piotr Kubaj 2018-12-05 15:59:04 UTC
Created attachment 199854 [details]
patch

Corrected.
Comment 9 commit-hook freebsd_committer 2018-12-25 08:28:23 UTC
A commit references this bug:

Author: tobik
Date: Tue Dec 25 08:27:42 UTC 2018
New revision: 488302
URL: https://svnweb.freebsd.org/changeset/ports/488302

Log:
  New port: games/dxx-rebirth

  DXX-Rebirth is a source port of the Descent and Descent 2 engines
  for Windows, Mac OS, Linux (most *NIX systems), offering OpenGL
  graphics and effects, advanced multiplayer, many improvements and
  new features.

  Descent and Descent 2 are pretty old games so you usually run into
  problems running it on more recent hardware and operating systems.
  DXX-Rebirth will also take care about this for you.

  WWW: https://www.dxx-rebirth.com/

  PR:		233755
  Submitted by:	pkubaj@anongoth.pl

Changes:
  head/games/Makefile
  head/games/dxx-rebirth/
  head/games/dxx-rebirth/Makefile
  head/games/dxx-rebirth/distinfo
  head/games/dxx-rebirth/files/
  head/games/dxx-rebirth/files/patch-SConstruct
  head/games/dxx-rebirth/files/patch-similar_editor_med.cpp
  head/games/dxx-rebirth/files/patch-similar_main_inferno.cpp
  head/games/dxx-rebirth/pkg-descr
  head/games/dxx-rebirth/pkg-message
Comment 10 Tobias Kortkamp freebsd_committer 2018-12-25 08:28:44 UTC
(In reply to Piotr Kubaj from comment #8)
Looks ok to me.  Setting WRKSRC manually is still pointless though.
Anyway, committed.  Thanks!

Do not forget to send the FreeBSD patches upstream too!